Index: Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/Makefile,v
retrieving revision 1.202
diff -u -r1.202 Makefile
--- Makefile	8 Sep 2005 00:34:19 -0000	1.202
+++ Makefile	8 Sep 2005 05:05:24 -0000
@@ -255,7 +255,7 @@
   INCLUDE+=-Iinclude/solaris-compat -I$(CROSS_COMPILE_TARGET)/usr/local/ssl/include
 endif
 
-ifneq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/linux/zaptel.h)$(wildcard $(CROSS_COMPILE_TARGET)/usr/local/include/zaptel.h),)
+ifneq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/linux/zaptel.h)$(wildcard $(CROSS_COMPILE_TARGET)/usr/local/include/zaptel.h)$(wildcard $(CROSS_COMPILE_TARGET)/usr/pkg/include/zaptel.h),)
   ASTCFLAGS+=-DZAPTEL_OPTIMIZATIONS
 endif
 
Index: Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/Makefile,v
retrieving revision 1.72
diff -u -r1.72 Makefile
--- Makefile	31 Aug 2005 00:27:33 -0000	1.72
+++ Makefile	8 Sep 2005 04:56:13 -0000
@@ -92,7 +92,13 @@
   ALSA_SRC+=alsa-monitor.h
 endif
 
-ifneq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/linux/zaptel.h)$(wildcard $(CROSS_COMPILE_TARGET)/usr/local/include/zaptel.h),)
+ifneq ($(wildcard $(CROSS_COMPILE_TARGET)/usr/include/linux/zaptel.h)$(wildcard $(CROSS_COMPILE_TARGET)/usr/local/include/zaptel.h)$(wildcard $(CROSS_COMPILE_TARGET)/usr/pkg/include/zaptel.h),)
+  ifeq (${OSARCH},NetBSD)
+    SOLINK+=-L$(CROSS_COMPILE_TARGET)/usr/pkg/lib
+  endif
+  ifeq (${OSARCH},FreeBSD)
+    SOLINK+=-L$(CROSS_COMPILE_TARGET)/usr/local/lib
+  endif
   CFLAGS+=-DIAX_TRUNKING
   CHANNEL_LIBS+=chan_zap.so
 endif

Index: chan_zap.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_zap.c,v
retrieving revision 1.502
diff -u -r1.502 chan_zap.c
--- chan_zap.c	7 Sep 2005 01:30:00 -0000	1.502
+++ chan_zap.c	8 Sep 2005 04:55:53 -0000
@@ -13,7 +13,12 @@
 
 #include <stdio.h>
 #include <string.h>
+#ifdef __NetBSD__
+#include <pthread.h>
+#include <signal.h>
+#else
 #include <sys/signal.h>
+#endif
 #include <errno.h>
 #include <stdlib.h>
 #if !defined(SOLARIS) && !defined(__FreeBSD__)

Index: streamplayer.c
===================================================================
RCS file: /usr/cvsroot/asterisk/utils/streamplayer.c,v
retrieving revision 1.3
diff -u -r1.3 streamplayer.c
--- streamplayer.c	24 Aug 2005 17:23:44 -0000	1.3
+++ streamplayer.c	7 Sep 2005 23:53:34 -0000
@@ -20,7 +20,7 @@
 #include <unistd.h>
 #include <sys/types.h>
 #include <sys/socket.h>
-#if defined(__FreeBSD__) || defined(__OpenBSD__)
+#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__NetBSD__)
 #include <netinet/in.h>
 #endif
 #include <sys/time.h>
